#!/bin/bash

# Instala o pacote falcon-sensor usando dpkg
dpkg -i falcon-sensor.amd64.deb

# Espera até que o processo de instalação termine
while pgrep -x "dpkg" > /dev/null; do
    sleep 1
done

# Verifica se a instalação foi bem-sucedida
if [ $(dpkg-query -W -f='${Status}' falcon-sensor 2>/dev/null | grep -c "ok installed") -eq 1 ];
then
    echo "Falcon Sensor instalado com sucesso!"
else
    echo "Erro: Falha ao instalar o Falcon Sensor"
    exit 1
fi

# Executa o comando para configurar o sensor com a ID do cliente
/opt/CrowdStrike/falconctl -s -f --cid=4F5527D16692451F907C52C33E590A5B-EB

# Habilita o serviço para iniciar automaticamente no boot
systemctl enable falcon-sensor.service

# Inicia o serviço
systemctl start falcon-sensor.service
